import request from '@/utils/request'

// 查询资产变更列表
export function listChange(query) {
  return request({
    url: '/asset/change/list',
    method: 'get',
    params: query
  })
}

// 查询资产变更详细
export function getChange(id) {
  return request({
    url: '/asset/change/get/' + id,
    method: 'get'
  })
}

// 新增资产变更
export function addChange(data) {
  return request({
    url: '/asset/change/add',
    method: 'post',
    data: data
  })
}

// 修改资产变更
export function updateChange(data) {
  return request({
    url: '/asset/change/edit',
    method: 'post',
    data: data
  })
}

// 删除资产变更
export function delChange(id) {
  return request({
    url: '/asset/change/remove/' + id,
    method: 'get'
  })
}

// 导出资产变更
export function exportChange(query) {
  return request({
    url: '/asset/change/export',
    method: 'get',
    params: query
  })
}
